# Containers

This is used with the `*_with_podman.py` scripts,
but they can be ran on their own too for testing.

Run as:

```bash
export IMAGE= # image to use (like "ubuntu18.04/dpdk_compile")
export DPDK= # dpdk directory (like "$(pwd)/dpdk")
podman build -t ${IMAGE} -f ${IMAGE}.Dockerfile .
podman run --rm -it -e "RTE_KERNELDIR=/usr/src/linux-headers-$(uname -r)" -v ${DPDK}:/dpdk -v /usr/src:/usr/src:ro ${IMAGE}
```

Since symlinks may be used, the whole /usr/src folder is mounted.

Docker can also be used.
